package com.bocloud.cmp.model;

/**
 * 站点连接 model
 *
 * @author Administrator
 */
public class VpnConnModel {
    private String name;
    private String ip;
    private Long vpnId;
    private Long ikeId;
    private Long ipsecId;
    private Long vendorId;
    private String vpnConnUuid;
    private String psk;
    private String initiator;
    private Boolean adminStateUp;
    private String authMode;
    private String peerCidrs;
    private String mtu;
    private String peerEpGroupId;
    private String localEpGroupId;
    private String ikeUuid;
    private String ipsecUuid;
    private String vpnUuid;
    private String dpd;
    private String routeMode;
    private String peerAddress;
    private String peerId;
    private String region;
    private String remark;
    private String status;
    private String tenantUuid;
    private String osTenantName;//OpenStack底层租户id

    /**
     *
     */
    public VpnConnModel() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Long getVpnId() {
        return vpnId;
    }

    public void setVpnId(Long vpnId) {
        this.vpnId = vpnId;
    }

    public Long getIkeId() {
        return ikeId;
    }

    public void setIkeId(Long ikeId) {
        this.ikeId = ikeId;
    }

    public Long getIpsecId() {
        return ipsecId;
    }

    public void setIpsecId(Long ipsecId) {
        this.ipsecId = ipsecId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getVpnConnUuid() {
        return vpnConnUuid;
    }

    public void setVpnConnUuid(String vpnConnUuid) {
        this.vpnConnUuid = vpnConnUuid;
    }

    public String getPsk() {
        return psk;
    }

    public void setPsk(String psk) {
        this.psk = psk;
    }

    public String getInitiator() {
        return initiator;
    }

    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    public Boolean getAdminStateUp() {
        return adminStateUp;
    }

    public void setAdminStateUp(Boolean adminStateUp) {
        this.adminStateUp = adminStateUp;
    }

    public String getAuthMode() {
        return authMode;
    }

    public void setAuthMode(String authMode) {
        this.authMode = authMode;
    }

    public String getPeerCidrs() {
        return peerCidrs;
    }

    public void setPeerCidrs(String peerCidrs) {
        this.peerCidrs = peerCidrs;
    }

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public String getPeerEpGroupId() {
        return peerEpGroupId;
    }

    public void setPeerEpGroupId(String peerEpGroupId) {
        this.peerEpGroupId = peerEpGroupId;
    }

    public String getLocalEpGroupId() {
        return localEpGroupId;
    }

    public void setLocalEpGroupId(String localEpGroupId) {
        this.localEpGroupId = localEpGroupId;
    }

    public String getIkeUuid() {
        return ikeUuid;
    }

    public void setIkeUuid(String ikeUuid) {
        this.ikeUuid = ikeUuid;
    }

    public String getIpsecUuid() {
        return ipsecUuid;
    }

    public void setIpsecUuid(String ipsecUuid) {
        this.ipsecUuid = ipsecUuid;
    }

    public String getVpnUuid() {
        return vpnUuid;
    }

    public void setVpnUuid(String vpnUuid) {
        this.vpnUuid = vpnUuid;
    }

    public String getDpd() {
        return dpd;
    }

    public void setDpd(String dpd) {
        this.dpd = dpd;
    }

    public String getRouteMode() {
        return routeMode;
    }

    public void setRouteMode(String routeMode) {
        this.routeMode = routeMode;
    }

    public String getPeerAddress() {
        return peerAddress;
    }

    public void setPeerAddress(String peerAddress) {
        this.peerAddress = peerAddress;
    }

    public String getPeerId() {
        return peerId;
    }

    public void setPeerId(String peerId) {
        this.peerId = peerId;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTenantUuid() {
        return tenantUuid;
    }

    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    public String getOsTenantName() {
        return osTenantName;
    }

    public void setOsTenantName(String osTenantName) {
        this.osTenantName = osTenantName;
    }
}
